<?php
/**
 * Система управления сайтом HostCMS v. 5.xx
 * Copyright © 2005-2010 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 *
 * Обработчик удаления файла большого изображения для товара.
 * 
 * Файл: /admin/shop/action/delete_big_image_item.php
 * 
 * @author Hostmake LLC
 * @version 5.x
 */
$shop = & singleton('shop');

$shop_shops_id = to_int($_REQUEST['shop_shops_id']);

$edit_item_id = to_int($_REQUEST['item_id']);

//$row = $shop->GetShop($edit_item_id);
$row = $shop->GetItem($edit_item_id);

if ($row)
{
	if (is_dir(CMS_FOLDER . UPLOADDIR))
	{		
		$image_file = $row['shop_items_catalog_image'];
		
		// Путь к большой картинке
		//$fname = CMS_FOLDER . UPLOADDIR.'shop_'.$shop_shops_id.'/item_catalog_'.$edit_item_id.'/'.$image_file;
		
		$uploaddir = $shop->GetItemDir($edit_item_id);
		
		// путь к большой картинке по новому стандарту
		$fname = CMS_FOLDER . $uploaddir . $image_file;
	
		// Файл большого изображения существует
		if (is_file($fname))
		{
			// Удаляем файл большого изображения
			unlink($fname);			
		}
		
		// Удаляем файл из таблицы
		$query = "UPDATE `shop_items_catalog_table` SET  `shop_items_catalog_image` = '' WHERE shop_items_catalog_item_id=$edit_item_id";
		$DataBase->query($query);
	}
	else
	{
		show_error_message($GLOBALS['MSG_shops']['error_dir'] . CMS_FOLDER . UPLOADDIR);
	}
}
?>